package com.chenyang.nse.bussiness.entity.orm.table.core.datamap;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DATAMAP_TABLE"
)
public class TCoreDatamapTable extends TBaseEntity {
   private String color;
   private String tablename;
   private String xcoordinate;
   private String ycoordinate;
   private String tablesize;
   private String datamapid;
   private String byname;
   private String cnt;

   public TCoreDatamapTable() {
   }

   public TCoreDatamapTable(String color, String tablename, String xcoordinate, String ycoordinate, String tablesize, String datamapid, String byname, String cnt) {
      this.color = color;
      this.tablename = tablename;
      this.xcoordinate = xcoordinate;
      this.ycoordinate = ycoordinate;
      this.tablesize = tablesize;
      this.datamapid = datamapid;
      this.byname = byname;
      this.cnt = cnt;
   }

   public String getColor() {
      return this.color;
   }

   public void setColor(String color) {
      this.color = color;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getXcoordinate() {
      return this.xcoordinate;
   }

   public void setXcoordinate(String xcoordinate) {
      this.xcoordinate = xcoordinate;
   }

   public String getYcoordinate() {
      return this.ycoordinate;
   }

   public void setYcoordinate(String ycoordinate) {
      this.ycoordinate = ycoordinate;
   }

   public String getTablesize() {
      return this.tablesize;
   }

   public void setTablesize(String tablesize) {
      this.tablesize = tablesize;
   }

   public String getDatamapid() {
      return this.datamapid;
   }

   public void setDatamapid(String datamapid) {
      this.datamapid = datamapid;
   }

   public String getByname() {
      return this.byname;
   }

   public void setByname(String byname) {
      this.byname = byname;
   }

   public String getCnt() {
      return this.cnt;
   }

   public void setCnt(String cnt) {
      this.cnt = cnt;
   }

   public String toString() {
      return "TCoreDatamapTable [color=" + this.color + ", tablename=" + this.tablename + ", xcoordinate=" + this.xcoordinate + ", ycoordinate=" + this.ycoordinate + ", tablesize=" + this.tablesize + ", datamapid=" + this.datamapid + ", byname=" + this.byname + ", cnt=" + this.cnt + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.byname == null ? 0 : this.byname.hashCode());
      result = 31 * result + (this.cnt == null ? 0 : this.cnt.hashCode());
      result = 31 * result + (this.color == null ? 0 : this.color.hashCode());
      result = 31 * result + (this.datamapid == null ? 0 : this.datamapid.hashCode());
      result = 31 * result + (this.tablename == null ? 0 : this.tablename.hashCode());
      result = 31 * result + (this.tablesize == null ? 0 : this.tablesize.hashCode());
      result = 31 * result + (this.xcoordinate == null ? 0 : this.xcoordinate.hashCode());
      result = 31 * result + (this.ycoordinate == null ? 0 : this.ycoordinate.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreDatamapTable other = (TCoreDatamapTable)obj;
         if (this.byname == null) {
            if (other.byname != null) {
               return false;
            }
         } else if (!this.byname.equals(other.byname)) {
            return false;
         }

         if (this.cnt == null) {
            if (other.cnt != null) {
               return false;
            }
         } else if (!this.cnt.equals(other.cnt)) {
            return false;
         }

         if (this.color == null) {
            if (other.color != null) {
               return false;
            }
         } else if (!this.color.equals(other.color)) {
            return false;
         }

         if (this.datamapid == null) {
            if (other.datamapid != null) {
               return false;
            }
         } else if (!this.datamapid.equals(other.datamapid)) {
            return false;
         }

         if (this.tablename == null) {
            if (other.tablename != null) {
               return false;
            }
         } else if (!this.tablename.equals(other.tablename)) {
            return false;
         }

         if (this.tablesize == null) {
            if (other.tablesize != null) {
               return false;
            }
         } else if (!this.tablesize.equals(other.tablesize)) {
            return false;
         }

         if (this.xcoordinate == null) {
            if (other.xcoordinate != null) {
               return false;
            }
         } else if (!this.xcoordinate.equals(other.xcoordinate)) {
            return false;
         }

         if (this.ycoordinate == null) {
            if (other.ycoordinate != null) {
               return false;
            }
         } else if (!this.ycoordinate.equals(other.ycoordinate)) {
            return false;
         }

         return true;
      }
   }
}
